import sqlite3
import random

conn = sqlite3.connect('default.db')
c = conn.cursor()

class Doors:
    def __init__(self, selected, name):
        self.name = name
        self.switch = False
        self.selected = selected
        self.car = random.randint(1,3)
        self.open_door = self.host_twist()

    def host_twist(self):
        open_door = random.randint(1,3)
        if open_door == self.car or open_door == self.selected:
            return self.host_twist()
        return open_door

    def out_come(self):

        if self.selected == self.car:
            logDB(self.name, self.switch, True)
            return True
        else:
            logDB(self.name, self.switch, False)
            return False

def logDB(name, switch, outcome):


    c.execute("INSERT INTO games (name, switch, outcome) values (?,?,?) ", (name, switch, outcome))

    conn.commit()

    return True

def seedDB():
    c.execute("""
        CREATE TABLE games (
            id INTEGER DEFAULT NULL PRIMARY KEY AUTOINCREMENT,
            name TEXT DEFAULT NULL,
            switch TEXT DEFAULT NULL,
            outcome TEXT DEFAULT NULL
        );
    """)

    conn.commit()
    conn.close()

if __name__ == '__main__':
    seed = input('Seed the database[y/n]: ').lower()
    if seed in ['y', 'yes']:
        print('seeding')
        seedDB()

    exit()